Index: c/src/exec/libcsupport/include/rtems/libio.h
===================================================================
--- c/src/exec/libcsupport/include/rtems/libio.h	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libcsupport/include/rtems/libio.h	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -122,4 +122,8 @@
 );
 
+typedef int (*rtems_filesystem_rmnod_t)(
+ rtems_filesystem_location_info_t      *pathloc       /* IN */
+);
+
 typedef struct {
     rtems_filesystem_open_t         open;
@@ -136,4 +140,5 @@
     rtems_filesystem_fdatasync_t    fdatasync;
     rtems_filesystem_fcntl_t        fcntl;
+    rtems_filesystem_rmnod_t        rmnod;
 } rtems_filesystem_file_handlers_r;
 
@@ -191,8 +196,4 @@
 
 typedef int (*rtems_filesystem_freenode_t)(
- rtems_filesystem_location_info_t      *pathloc       /* IN */
-);
-
-typedef int (*rtems_filesystem_rmnod_t)(
  rtems_filesystem_location_info_t      *pathloc       /* IN */
 );
@@ -255,5 +256,4 @@
     rtems_filesystem_node_type_t     node_type;
     rtems_filesystem_mknod_t         mknod;
-    rtems_filesystem_rmnod_t         rmnod;
     rtems_filesystem_chown_t         chown;
     rtems_filesystem_freenode_t      freenod;
Index: c/src/exec/libcsupport/src/rmdir.c
===================================================================
--- c/src/exec/libcsupport/src/rmdir.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libcsupport/src/rmdir.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -54,10 +54,10 @@
    */
 
-  if ( !loc.ops->rmnod ){
+  if ( !loc.handlers->rmnod ){
     rtems_filesystem_freenode( &loc );
     set_errno_and_return_minus_one( ENOTSUP );
   }
 
-  result =  (*loc.ops->rmnod)( &loc );  
+  result =  (*loc.handlers->rmnod)( &loc );  
 
   rtems_filesystem_freenode( &loc );
Index: c/src/exec/libfs/src/imfs/imfs_handlers_device.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_handlers_device.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libfs/src/imfs/imfs_handlers_device.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,   /* fsync */
   NULL,   /* fdatasync */
-  NULL    /* fcntl */
+  NULL,   /* fcntl */
+  IMFS_rmnod
 };
Index: c/src/exec/libfs/src/imfs/imfs_handlers_directory.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_handlers_directory.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libfs/src/imfs/imfs_handlers_directory.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,13 @@
   NULL,             /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
+
+
+
+
+
+
+
+
Index: c/src/exec/libfs/src/imfs/imfs_handlers_memfile.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,                /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
Index: c/src/exec/libfs/src/imfs/imfs_init.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_init.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/exec/libfs/src/imfs/imfs_init.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -38,5 +38,4 @@
   IMFS_node_type,
   IMFS_mknod,
-  IMFS_rmnod,
   IMFS_chown,
   IMFS_freenodinfo,
Index: c/src/lib/include/rtems/libio.h
===================================================================
--- c/src/lib/include/rtems/libio.h	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/include/rtems/libio.h	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -122,4 +122,8 @@
 );
 
+typedef int (*rtems_filesystem_rmnod_t)(
+ rtems_filesystem_location_info_t      *pathloc       /* IN */
+);
+
 typedef struct {
     rtems_filesystem_open_t         open;
@@ -136,4 +140,5 @@
     rtems_filesystem_fdatasync_t    fdatasync;
     rtems_filesystem_fcntl_t        fcntl;
+    rtems_filesystem_rmnod_t        rmnod;
 } rtems_filesystem_file_handlers_r;
 
@@ -191,8 +196,4 @@
 
 typedef int (*rtems_filesystem_freenode_t)(
- rtems_filesystem_location_info_t      *pathloc       /* IN */
-);
-
-typedef int (*rtems_filesystem_rmnod_t)(
  rtems_filesystem_location_info_t      *pathloc       /* IN */
 );
@@ -255,5 +256,4 @@
     rtems_filesystem_node_type_t     node_type;
     rtems_filesystem_mknod_t         mknod;
-    rtems_filesystem_rmnod_t         rmnod;
     rtems_filesystem_chown_t         chown;
     rtems_filesystem_freenode_t      freenod;
Index: c/src/lib/libc/imfs_handlers_device.c
===================================================================
--- c/src/lib/libc/imfs_handlers_device.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/imfs_handlers_device.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,   /* fsync */
   NULL,   /* fdatasync */
-  NULL    /* fcntl */
+  NULL,   /* fcntl */
+  IMFS_rmnod
 };
Index: c/src/lib/libc/imfs_handlers_directory.c
===================================================================
--- c/src/lib/libc/imfs_handlers_directory.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/imfs_handlers_directory.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,13 @@
   NULL,             /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
+
+
+
+
+
+
+
+
Index: c/src/lib/libc/imfs_handlers_memfile.c
===================================================================
--- c/src/lib/libc/imfs_handlers_memfile.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/imfs_handlers_memfile.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,                /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
Index: c/src/lib/libc/imfs_init.c
===================================================================
--- c/src/lib/libc/imfs_init.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/imfs_init.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -38,5 +38,4 @@
   IMFS_node_type,
   IMFS_mknod,
-  IMFS_rmnod,
   IMFS_chown,
   IMFS_freenodinfo,
Index: c/src/lib/libc/libio.h
===================================================================
--- c/src/lib/libc/libio.h	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/libio.h	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -122,4 +122,8 @@
 );
 
+typedef int (*rtems_filesystem_rmnod_t)(
+ rtems_filesystem_location_info_t      *pathloc       /* IN */
+);
+
 typedef struct {
     rtems_filesystem_open_t         open;
@@ -136,4 +140,5 @@
     rtems_filesystem_fdatasync_t    fdatasync;
     rtems_filesystem_fcntl_t        fcntl;
+    rtems_filesystem_rmnod_t        rmnod;
 } rtems_filesystem_file_handlers_r;
 
@@ -191,8 +196,4 @@
 
 typedef int (*rtems_filesystem_freenode_t)(
- rtems_filesystem_location_info_t      *pathloc       /* IN */
-);
-
-typedef int (*rtems_filesystem_rmnod_t)(
  rtems_filesystem_location_info_t      *pathloc       /* IN */
 );
@@ -255,5 +256,4 @@
     rtems_filesystem_node_type_t     node_type;
     rtems_filesystem_mknod_t         mknod;
-    rtems_filesystem_rmnod_t         rmnod;
     rtems_filesystem_chown_t         chown;
     rtems_filesystem_freenode_t      freenod;
Index: c/src/lib/libc/rmdir.c
===================================================================
--- c/src/lib/libc/rmdir.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/lib/libc/rmdir.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -54,10 +54,10 @@
    */
 
-  if ( !loc.ops->rmnod ){
+  if ( !loc.handlers->rmnod ){
     rtems_filesystem_freenode( &loc );
     set_errno_and_return_minus_one( ENOTSUP );
   }
 
-  result =  (*loc.ops->rmnod)( &loc );  
+  result =  (*loc.handlers->rmnod)( &loc );  
 
   rtems_filesystem_freenode( &loc );
Index: c/src/libfs/src/imfs/imfs_handlers_device.c
===================================================================
--- c/src/libfs/src/imfs/imfs_handlers_device.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/libfs/src/imfs/imfs_handlers_device.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,   /* fsync */
   NULL,   /* fdatasync */
-  NULL    /* fcntl */
+  NULL,   /* fcntl */
+  IMFS_rmnod
 };
Index: c/src/libfs/src/imfs/imfs_handlers_directory.c
===================================================================
--- c/src/libfs/src/imfs/imfs_handlers_directory.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/libfs/src/imfs/imfs_handlers_directory.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,13 @@
   NULL,             /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
+
+
+
+
+
+
+
+
Index: c/src/libfs/src/imfs/imfs_handlers_memfile.c
===================================================================
--- c/src/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,                /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
Index: c/src/libfs/src/imfs/imfs_init.c
===================================================================
--- c/src/libfs/src/imfs/imfs_init.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ c/src/libfs/src/imfs/imfs_init.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -38,5 +38,4 @@
   IMFS_node_type,
   IMFS_mknod,
-  IMFS_rmnod,
   IMFS_chown,
   IMFS_freenodinfo,
Index: cpukit/libcsupport/include/rtems/libio.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio.h	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libcsupport/include/rtems/libio.h	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -122,4 +122,8 @@
 );
 
+typedef int (*rtems_filesystem_rmnod_t)(
+ rtems_filesystem_location_info_t      *pathloc       /* IN */
+);
+
 typedef struct {
     rtems_filesystem_open_t         open;
@@ -136,4 +140,5 @@
     rtems_filesystem_fdatasync_t    fdatasync;
     rtems_filesystem_fcntl_t        fcntl;
+    rtems_filesystem_rmnod_t        rmnod;
 } rtems_filesystem_file_handlers_r;
 
@@ -191,8 +196,4 @@
 
 typedef int (*rtems_filesystem_freenode_t)(
- rtems_filesystem_location_info_t      *pathloc       /* IN */
-);
-
-typedef int (*rtems_filesystem_rmnod_t)(
  rtems_filesystem_location_info_t      *pathloc       /* IN */
 );
@@ -255,5 +256,4 @@
     rtems_filesystem_node_type_t     node_type;
     rtems_filesystem_mknod_t         mknod;
-    rtems_filesystem_rmnod_t         rmnod;
     rtems_filesystem_chown_t         chown;
     rtems_filesystem_freenode_t      freenod;
Index: cpukit/libcsupport/src/rmdir.c
===================================================================
--- cpukit/libcsupport/src/rmdir.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libcsupport/src/rmdir.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -54,10 +54,10 @@
    */
 
-  if ( !loc.ops->rmnod ){
+  if ( !loc.handlers->rmnod ){
     rtems_filesystem_freenode( &loc );
     set_errno_and_return_minus_one( ENOTSUP );
   }
 
-  result =  (*loc.ops->rmnod)( &loc );  
+  result =  (*loc.handlers->rmnod)( &loc );  
 
   rtems_filesystem_freenode( &loc );
Index: cpukit/libfs/src/imfs/imfs_handlers_device.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_handlers_device.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libfs/src/imfs/imfs_handlers_device.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,   /* fsync */
   NULL,   /* fdatasync */
-  NULL    /* fcntl */
+  NULL,   /* fcntl */
+  IMFS_rmnod
 };
Index: cpukit/libfs/src/imfs/imfs_handlers_directory.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_handlers_directory.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libfs/src/imfs/imfs_handlers_directory.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,13 @@
   NULL,             /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
+
+
+
+
+
+
+
+
Index: cpukit/libfs/src/imfs/imfs_handlers_memfile.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libfs/src/imfs/imfs_handlers_memfile.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -34,4 +34,5 @@
   NULL,                /* fsync */
   IMFS_fdatasync,
-  IMFS_fcntl
+  IMFS_fcntl,
+  IMFS_rmnod
 };
Index: cpukit/libfs/src/imfs/imfs_init.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_init.c	(revision 4bde80720f95e5f817dedd95de8b46f19c3cb744)
+++ cpukit/libfs/src/imfs/imfs_init.c	(revision 4a07d2b866a2104102215cbd196269dcce18c000)
@@ -38,5 +38,4 @@
   IMFS_node_type,
   IMFS_mknod,
-  IMFS_rmnod,
   IMFS_chown,
   IMFS_freenodinfo,
